<?php
if (PHP_SAPI == 'cli')
  die('Se visualiza solamente desde un navegador.');
require_once dirname(__FILE__) . '/../../libreriasphp/phpexcel/Classes/PHPExcel.php';
date_default_timezone_set('America/Lima');
session_start();
require_once ("../../config/Cado.php");

require_once ("../ventageneral_cst/cVentageneral_cst.php");
$oVentageneral_cst = new cVentageneral_cst();

require_once("../producto/cProductoespecificacion.php");
$oProductoespecificacion = new cProductoespecificacion();

$fec = date('Y-m-d');
require_once ("../formatos/formato.php");
require_once ("../formatos/fechas.php");
// Create new PHPExcel object
$objPHPExcel = new PHPExcel();
// Set document properties
$objPHPExcel->getProperties()->setCreator("https://infosisperu.com")
->setLastModifiedBy("https://infosisperu.com")
->setTitle("VENTAS GENERAL")
->setSubject("Reporte")
->setDescription("Reporte generado por https://infosisperu.com")
->setKeywords("")
->setCategory("reporte excel");
$objPHPExcel->setActiveSheetIndex(0);
$c=1;
$estiloTituloColumnas = array(
  'font' => array(
    'name'  => 'Arial',
    'bold'  => true,
    'size'  =>8,
    'color' => array(
      'rgb' => '000000'
      )
    ),
  'fill' => array(
    'type'  => PHPExcel_Style_Fill::FILL_SOLID,
    'color' => array(
      'rgb' => 'FAFAFA')
    ),
  'borders' => array(
    'outline' => array(
      'style' => PHPExcel_Style_Border::BORDER_THIN ,
      'color' => array(
        'rgb' => '143860'
        )
      )
    ),
  'alignment' =>  array(
    'horizontal'=> PHPExcel_Style_Alignment::HORIZONTAL_CENTER,
    'vertical'  => PHPExcel_Style_Alignment::VERTICAL_CENTER,
    'wrap'      => TRUE
    )
  );
  
  $estiloTitulos = array(
  'font' => array(
    'name'  => 'Arial',
    'bold'  => true,
    'size'  =>8,
    'color' => array(
      'rgb' => 'FFFFFF'
      )
    ),
  'fill' => array(
    'type'  => PHPExcel_Style_Fill::FILL_SOLID,
    'color' => array(
      'rgb' => 'FF8800')
    ),
  'borders' => array(
    'outline' => array(
      'style' => PHPExcel_Style_Border::BORDER_THIN ,
      'color' => array(
        'rgb' => '143860'
        )
      )
    ),
  'alignment' =>  array(
    'horizontal'=> PHPExcel_Style_Alignment::HORIZONTAL_CENTER,
    'vertical'  => PHPExcel_Style_Alignment::VERTICAL_CENTER,
    'wrap'      => TRUE
    )
  );
  
  $estiloTotales = array(
  'font' => array(
    'name'  => 'Arial',
    'bold'  => true,
    'size'  =>8,
    'color' => array(
      'rgb' => 'FFFFFF'
      )
    ),
  'fill' => array(
    'type'  => PHPExcel_Style_Fill::FILL_SOLID,
    'color' => array(
      'rgb' => '0d47a1')
    ),
  'borders' => array(
    'outline' => array(
      'style' => PHPExcel_Style_Border::BORDER_THIN ,
      'color' => array(
        'rgb' => '143860'
        )
      )
    ),
  'alignment' =>  array(
    'horizontal'=> PHPExcel_Style_Alignment::HORIZONTAL_CENTER,
    'vertical'  => PHPExcel_Style_Alignment::VERTICAL_CENTER,
    'wrap'      => TRUE
    )
  );
  
  $titulosColumnascompras = array(
  'FECHA',
  'DOCUMENTO',
  'ARTICULO',
  'MARCA', 
  'CATEGORIA', 
  'CANTIDAD', 
  'PRE. UNITARIO',
  'PRE. TOTAL'
  );
  
  
  $letras = array('A','B','C','D','E','F','G','H','I','J','K','L','M','N','O','P','Q','R','S','T','U','V','W','X','Y','Z');
  
	$objPHPExcel->getActiveSheet()->setCellValue("A$c", 'VENTAS');
	$objPHPExcel->getActiveSheet()->getStyle("A$c:H$c")->applyFromArray($estiloTitulos);
	
	$c = $c+1;
  
  $letracolumn = 0;
  
  //// COMPRAS
  for ($i=0; $i < count($titulosColumnascompras) ; $i++) { 
    $letracolumn = $i;
    $objPHPExcel->getActiveSheet()->setCellValue($letras[$i].$c, $titulosColumnascompras[$i]);
  }
  $objPHPExcel->getActiveSheet()->getStyle("A$c:".$letras[$letracolumn]."$c")->applyFromArray($estiloTituloColumnas);
		$c = $c+1;
 
		$dtc1 = $oVentageneral_cst->mostrar_filtrocondetalles($_GET['usu_id'],$_GET['punven_id'],fecha_mysql($_GET['fec1']),fecha_mysql($_GET['fec2']),$_GET['mon_id']);
		while($dt = mysqli_fetch_array($dtc1)){
		
		$can = $dt['tb_ventadetalle_can'];
		$pre_uni=$dt['tb_ventadetalle_preuni'];
		$esp_id = $dt['tb_especificacion_id'];
		$pre_tot = $pre_uni * $can;
		
		
		$dtses=$oProductoespecificacion->mostrar_unoinfo($esp_id);
		$num_rows= mysqli_num_rows($dtses);

		$dtes = mysqli_fetch_array($dtses);
		
		$colnom = $dtes['tb_color_nom'];
		$colcod = $dtes['tb_color_cod'];
		$memramnom = $dtes['tb_memoriaram_nom'];
		$menintnom = $dtes['tb_memoriainterna_nom'];
		
		
	$objPHPExcel->getActiveSheet(0)
    ->setCellValue('A'.$c, mostrarFecha($dt['tb_venta_fec']))
    ->setCellValue('B'.$c, $dt['tb_venta_numdoc'])    
    ->setCellValue('C'.$c, $dt['tb_ventadetalle_nom'].' | '.$colnom)
    ->setCellValue('D'.$c, $dt['tb_marca_nom'])
    ->setCellValue('E'.$c, $dt['tb_categoria_nom'])   
    ->setCellValue('F'.$c, $dt['tb_ventadetalle_can'])
    ->setCellValue('G'.$c, formato_money($pre_uni))
    ->setCellValue('H'.$c, formato_money($pre_tot));
	
    $objPHPExcel->getActiveSheet(0)->getStyle("H$c:H$c")->getNumberFormat()->setFormatCode('0.00');
    $c++;
		
		
		$totpretot+=$pre_tot;
		
		}
		
	mysqli_free_result($dtc1);
	
	$objPHPExcel->getActiveSheet(0)
    ->setCellValue('A'.$c, '')
    ->setCellValue('B'.$c, '')    
    ->setCellValue('C'.$c, '')
    ->setCellValue('D'.$c, '') 
    ->setCellValue('E'.$c, '')
    ->setCellValue('F'.$c, '')
    ->setCellValue('G'.$c, '')
    ->setCellValue('H'.$c, formato_money($totpretot));
	
	$objPHPExcel->getActiveSheet()->getStyle("A$c:H$c")->applyFromArray($estiloTotales);
	$objPHPExcel->getActiveSheet(0)->getStyle("H$c:H$c")->getNumberFormat()->setFormatCode('0.00');
	
	
for($z = 'A'; $z <= 'L'; $z++){
  $objPHPExcel->getActiveSheet()->getColumnDimension($z)->setAutoSize(TRUE);
}
	
	$objPHPExcel->getActiveSheet()->setTitle('VENTA GENERAL');
	
	$nombre_archivo="VENTA GENERAL ".date('d-m-Y H-i:s');
// Redirect output to a client’s web browser (Excel5)
//header('Content-Type: application/vnd.ms-excel');
//header('Content-Disposition: attachment;filename="'.$nombre_archivo.'.xls"');
// Redirect output to a client’s web browser (Excel2007)
header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
header('Content-Disposition: attachment;filename="'.$nombre_archivo.'.xlsx"');
header('Cache-Control: max-age=0');
// If you're serving to IE 9, then the following may be needed
header('Cache-Control: max-age=1');
// If you're serving to IE over SSL, then the following may be needed
header ('Expires: Mon, 26 Jul 1997 05:00:00 GMT'); // Date in the past
header ('Last-Modified: '.date('D, d M Y H:i:s').' GMT'); // always modified
header ('Cache-Control: cache, must-revalidate'); // HTTP/1.1
header ('Pragma: public'); // HTTP/1.0
//$objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel5');
$objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel2007');
$objWriter->save('php://output');
exit;
?>